Subject: Re: [bitcoin-dev] A reason we can all agree on to increase block size

From: Adam Back <[email-masked]>
Date: Mon, 3 Aug 2015 09:53:39 +0200

Again this should not be a political or business compromise model - we
must focus on scientific evaluation, technical requirements and
security.

But specifically as you asked a group of Chinese miners said they
would not run it:

http://cointelegraph.com/news/114657/chinese-mining-pools-call-for-consensus-refuse-switch-to-bitcoin-xt

Imagine if we had a nuclear reactor design criteria - we would not be
asking around with companies what parameter would they compromise on.
We'd be looking to scientific analysis of what is safe, based on
empirical and theoretical work on safety.  If we're risking $4b of
other peoples money (and a little bit of mine) I would strongly want a
scientific approach.

A closer analogy would be the NIST SHA3 design process.  With crypto
building blocks it is a security / speed tradeoff, a little analogous
to the security / throughput trade off in Bitcoin.

They do not ask companies or governments which algorithm they like or
what parameter they'd compromise on.  They have a design competition
and analyse the algorithms and parameters for security margin and
speed optimisation in hardware and software.  Much effort is put in
and it is very rigorous because a lot is at stake if they get it
wrong.

Adam

On 3 August 2015 at 09:34, Hector Chu <[email-masked]> wrote:
> On 3 August 2015 at 08:16, Simon Liu via bitcoin-dev
> <[email-masked]> wrote:
>>
>> Increasing the block size shouldn't be a problem for Chinese miners.
>> Five of the largest - F2Pool, Antpool, BW, BTCChina, Huobi - have
>> already signed a draft agreement indicating they are fine with an
>> increase to 8 MB: http://www.8btc.com/blocksize-increase-2
>
>
> What's the current stance of the Chinese pools on Bitcoin XT, should Bitcoin
> Core refuse to increase the block size to 8 MB in a timely fashion? Would
> they run it if the economic majority (e.g. Coinbase, Bitpay, etc.) publicly
> stated their support for big blocks?